// pages/setAvatarNickname/setAvatarNickname.js
var miucms = require('../../utils/miucms.js');
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        avatarUrl: '',
        nickname: ""
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.setData({
            avatarUrl: app.globalData.user && app.globalData.user.avatar || '../../img/defaultAvatar.png',
            nickname: app.globalData.user && app.globalData.user.nickname,
            isIndex: options.isIndex ? true : false, // 判断是否顶部返回键的
            token: options.token,
        })
    },

    onChooseAvatar(e) {
        let avatarUrl = e.detail.avatarUrl
        avatarUrl = 'data:image/jpeg;base64,' + wx.getFileSystemManager().readFileSync(avatarUrl, "base64")
        this.setData({
            avatarUrl
        })

        miucms.request(`${app.globalData.baseURL}/tenement/v2/api/user/uploadAvatar`, {
            data: avatarUrl
        }).then(res => {
            let data = res.data
            app.globalData.user = data.user
            app.globalData['setSate'] = true
        })
    },

    submitNickname() {
        let nickname = this.data.nickname
        nickname = nickname.replaceAll(" ", "")

        miucms.request(`${app.globalData.baseURL}/tenement/v2/api/user/updateNickname`, {
            nickname
        }).then(res => {
            if (res.code == 200) {
                let data = res.data
                console.log(data, "data");
                app.globalData.user = data.user
                console.log(app.globalData.user);
                wx.navigateBack({
                    delta: 1,
                    fail: function () {
                        wx.navigateTo({
                            url: '/pages/index/index',
                        })
                    }
                })


            } else {
                wx.showToast({
                    icon: "none",
                    title: res.message,
                })
            }
        })
    },

    nicknameinput(e) {
        let value = e.detail.value
        value = value.replaceAll(" ", "")
        if (value == this.data.nickname) return
        this.setData({
            nickname: value
        })
    },

})